Package org.eclipse.rdf4j.sail.shacl.ast.targets

## Class TargetChain

- java.lang.Object
- - org.eclipse.rdf4j.sail.shacl.ast.targets.TargetChain

-     public class TargetChain
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TargetChain()` |
    `TargetChain​(TargetChain targetChain)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TargetChain` | `add​(org.eclipse.rdf4j.sail.shacl.ast.Targetable o)` |
    `Collection<org.eclipse.rdf4j.sail.shacl.ast.Targetable>` | `getChain()` |
    `EffectiveTarget` | `getEffectiveTarget​(String targetVarPrefix, ConstraintComponent.Scope scope, RdfsSubClassOfReasoner rdfsSubClassOfReasoner)` |
    `Optional<Path>` | `getPath()` |
    `boolean` | `isOptimizable()` |
    `TargetChain` | `setOptimizable​(boolean optimizable)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TargetChain

          public TargetChain()

    - #### TargetChain

          public TargetChain​(TargetChain targetChain)

  - ### Method Detail

    - #### add

          public TargetChain add​(org.eclipse.rdf4j.sail.shacl.ast.Targetable o)

    - #### setOptimizable

          public TargetChain setOptimizable​(boolean optimizable)

    - #### getChain

          public Collection<org.eclipse.rdf4j.sail.shacl.ast.Targetable> getChain()

    - #### isOptimizable

          public boolean isOptimizable()

    - #### getPath

          public Optional<Path> getPath()

    - #### getEffectiveTarget

          public EffectiveTarget getEffectiveTarget​(String targetVarPrefix,
                                                    ConstraintComponent.Scope scope,
                                                    RdfsSubClassOfReasoner rdfsSubClassOfReasoner)